[arch-commits] CVS update of core/support/ipw3945 (3 files)

Thomas Baechler thomas at archlinux.org
Sat Jan 26 11:21:24 UTC 2008


    Date: Saturday, January 26, 2008 @ 12:21:24
  Author: thomas
    Path: /home/cvs-core/core/support/ipw3945

   Added: compile-2.6.24.patch (1.1)
Modified: PKGBUILD (1.28 -> 1.29) ipw3945.install (1.13 -> 1.14)

make old ipw3945 driver work with 2.6.24


----------------------+
 PKGBUILD             |   13 ++++++++-----
 compile-2.6.24.patch |   43 +++++++++++++++++++++++++++++++++++++++++++
 ipw3945.install      |    6 +++---
 3 files changed, 54 insertions(+), 8 deletions(-)


Index: core/support/ipw3945/PKGBUILD
diff -u core/support/ipw3945/PKGBUILD:1.28 core/support/ipw3945/PKGBUILD:1.29
--- core/support/ipw3945/PKGBUILD:1.28	Mon Nov 26 17:20:04 2007
+++ core/support/ipw3945/PKGBUILD	Sat Jan 26 12:21:24 2008
@@ -1,7 +1,7 @@
-# $Id: PKGBUILD,v 1.28 2007/11/26 16:20:04 tpowa Exp $
+# $Id: PKGBUILD,v 1.29 2008/01/26 11:21:24 thomas Exp $
 # Contributor: Giovanni Scafora <linuxmania at gmail.com>
 # Maintainer: James Rayner <iphitus at gmail.com>
-_kernver=2.6.23-ARCH
+_kernver=2.6.24-ARCH
 pkgname=ipw3945
 pkgver=1.2.2
 pkgrel=6
@@ -11,8 +11,10 @@
 license=("GPL")
 depends=('wireless_tools' 'kernel26>=2.6.23.8-2' 'ipw3945-ucode' 'ipw3945d')
 install=ipw3945.install
-source=(http://optusnet.dl.sourceforge.net/sourceforge/ipw3945/ipw3945-$pkgver.tgz)
-md5sums=('9e5ca2f3ffbb84270ede45d5572df4c9')
+source=(http://optusnet.dl.sourceforge.net/sourceforge/ipw3945/ipw3945-$pkgver.tgz
+        compile-2.6.24.patch)
+md5sums=('9e5ca2f3ffbb84270ede45d5572df4c9'
+         '12db6e8410ab38f1fbca15681cfa752a')
 
 build() {
   cd $startdir/src/ipw3945-$pkgver
@@ -21,7 +23,8 @@
            -e "s:^# \(CONFIG_IEEE80211_RADIOTAP\)=.*:\1=y:" \
            -e "s:^# \(CONFIG_IPW3945_PROMISCUOUS\)=.*:\1=y:" \
            Makefile
-  make  KVER=${_kernver} IEEE80211_INC=/usr/src/linux-${_kernver}/ IEEE80211_IGNORE_DUPLICATE=y
+  patch -Np1 -i ../compile-2.6.24.patch || return 1
+  make  KVER=${_kernver} IEEE80211_INC=/usr/src/linux-${_kernver}/ IEEE80211_IGNORE_DUPLICATE=y || return 1
   #Install kernel module
   install -D -m 644 ipw3945.ko  $startdir/pkg/lib/modules/${_kernver}/kernel/drivers/net/wireless/ipw3945/ipw3945.ko
   sed -i -e "s/KERNEL_VERSION='.*'/KERNEL_VERSION='${_kernver}'/" $startdir/*.install
Index: core/support/ipw3945/compile-2.6.24.patch
diff -u /dev/null core/support/ipw3945/compile-2.6.24.patch:1.1
--- /dev/null	Sat Jan 26 12:21:24 2008
+++ core/support/ipw3945/compile-2.6.24.patch	Sat Jan 26 12:21:24 2008
@@ -0,0 +1,43 @@
+Author: Samuel Tardieu <sam at rfc1149.net>
+Date:   Tue Oct 16 12:31:58 2007 +0200
+
+    MAC_ARG is not defined by the kernel headers anymore
+
+diff --git a/ipw3945.c b/ipw3945.c
+index eec20b7..cc36b9c 100644
+--- a/ipw3945.c
++++ b/ipw3945.c
+@@ -102,6 +102,12 @@
+ #define VQ
+ #endif
+ 
++/* stolen from net/ieee80211.h */
++#ifndef MAC_ARG
++#define MAC_ARG(x) ((u8*)(x))[0], ((u8*)(x))[1], ((u8*)(x))[2], \
++		   ((u8*)(x))[3], ((u8*)(x))[4], ((u8*)(x))[5]
++#endif
++
+ #define IPW3945_VERSION "1.2.2" VD VM VP VR VQ
+ 
+ #define DRV_DESCRIPTION	"Intel(R) PRO/Wireless 3945 Network Connection driver for Linux"
+
+
+
+Author: Samuel Tardieu <sam at rfc1149.net>
+Date:   Tue Oct 16 12:37:54 2007 +0200
+
+    Nuke SET_MODULE_OWNER() use
+
+diff --git a/ipw3945.c b/ipw3945.c
+index cc36b9c..0369876 100644
+--- a/ipw3945.c
++++ b/ipw3945.c
+@@ -16597,7 +16597,6 @@ static int ipw_pci_probe(struct pci_dev *pdev, const struct pci_device_id *ent)
+ 		goto out_release_ucode;
+ 	}
+ 
+-	SET_MODULE_OWNER(net_dev);
+ 	SET_NETDEV_DEV(net_dev, &pdev->dev);
+ 	mutex_lock(&priv->mutex);
+ 	priv->ieee->hard_start_xmit = ipw_net_hard_start_xmit;
+
Index: core/support/ipw3945/ipw3945.install
diff -u core/support/ipw3945/ipw3945.install:1.13 core/support/ipw3945/ipw3945.install:1.14
--- core/support/ipw3945/ipw3945.install:1.13	Sat Nov 24 18:12:47 2007
+++ core/support/ipw3945/ipw3945.install	Sat Jan 26 12:21:24 2008
@@ -1,7 +1,7 @@
 # arg 1:  the new package version
 post_install()
 {
-  KERNEL_VERSION='2.6.23-ARCH'
+  KERNEL_VERSION='2.6.24-ARCH'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1 
 }
 
@@ -9,14 +9,14 @@
 # arg 2:  the old package version
 post_upgrade()
 {
-  KERNEL_VERSION='2.6.23-ARCH'
+  KERNEL_VERSION='2.6.24-ARCH'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1 
 }
 
 # arg 1:  the old package version
 post_remove()
 {
-  KERNEL_VERSION='2.6.23-ARCH'
+  KERNEL_VERSION='2.6.24-ARCH'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1 	 
 }
 




More information about the arch-commits mailing list